require "yaml"
module Patchfile
  class Engine < ::Rails::Engine
    initializer "patchfile" do 
      OrbitApp.registration "Patchfile", :type => "ModuleApp" do
        module_label "patchfile.Patchfile"
        base_url File.expand_path File.dirname(__FILE__)
        widget_methods ["widget","random_patchfile_widget", "tag_cloud"]
        widget_settings [{"data_count"=>30}]
        taggable "patchfilefield"
        categorizable
        authorizable
        frontend_enabled
        data_count 1..30
		side_bar do
          head_label_i18n 'patchfile.patchfile', icon_class: "icons-megaphone"
          available_for "users"
          active_for_controllers (['admin/patchfiles'])
          head_link_path "admin_patchfiles_path"

          context_link 'patchfile.patchfile',
                                :link_path=>"admin_patchfiles_path" ,
                                :priority=>1,
                                :active_for_action=>{'admin/patchfiles'=>'index'},
                                :available_for => 'users'
		  context_link 'CKEDITOR',
								:link_path=>"admin_patchfiles_showckeditor_path" ,
                                #:link_to=>"admin_patchfiles_path"+"/showckeditor" ,
                                :priority=>2,
                                :active_for_action=>{'admin/patchfiles'=>'showckeditor'},
                                :available_for => 'users'
        
		end
      end
      # temp = YAML.load_file(File.join(Rails.root,"config","mongoid.yml"))
      # dbsettings = temp["production"]["sessions"]["default"]
      # s = Moped::Session.new(dbsettings["hosts"])
      # s.use dbsettings["database"] 
      # s[:bulletins].indexes.create({expirable_created_at: 1},{ expireAfterSeconds: 180 })
    end
  end
end